{
    attributes = (
        {
            allowsNull = Y; 
            columnName = C_RNE; 
            externalType = VARCHAR2; 
            name = cRne; 
            valueClassName = NSString; 
            width = 8; 
        }, 
        {
            columnName = C_STRUCTURE; 
            externalType = VARCHAR2; 
            name = cStructure; 
            valueClassName = NSString; 
            width = 10; 
        }, 
        {
            columnName = C_STRUCTURE_PERE; 
            externalType = VARCHAR2; 
            name = cStructurePere; 
            valueClassName = NSString; 
            width = 10; 
        }, 
        {
            allowsNull = Y; 
            columnName = GRP_FONCTION1; 
            externalType = VARCHAR2; 
            name = grpFonction1; 
            valueClassName = NSString; 
            width = 500; 
        }, 
        {
            allowsNull = Y; 
            columnName = GRP_FONCTION2; 
            externalType = VARCHAR2; 
            name = grpFonction2; 
            valueClassName = NSString; 
            width = 500; 
        }, 
        {
            allowsNull = Y; 
            columnName = GRP_OWNER; 
            externalType = NUMBER; 
            name = grpOwner; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = LC_STRUCTURE; 
            externalType = VARCHAR2; 
            name = lcStructure; 
            valueClassName = NSString; 
            width = 20; 
        }, 
        {
            allowsNull = Y; 
            columnName = LL_STRUCTURE; 
            externalType = VARCHAR2; 
            name = llStructure; 
            valueClassName = NSString; 
            width = 80; 
        }, 
        {
            columnName = PERS_ID; 
            externalType = NUMBER; 
            name = persId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (cStructure); 
    className = EOGenericRecord; 
    classProperties = (
        persId, 
        llStructure, 
        lcStructure, 
        cRne, 
        grpOwner, 
        grpFonction1, 
        grpFonction2, 
        cStructure, 
        cStructurePere, 
        toGrhumStructurePere
    ); 
    externalName = GRHUM.STRUCTURE_ULR; 
    fetchSpecificationDictionary = {}; 
    name = GrhumStructureUlr; 
    primaryKeyAttributes = (cStructure); 
    relationships = (
        {
            destination = GrhumStructureUlr; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = cStructure; sourceAttribute = cStructurePere; }); 
            name = toGrhumStructurePere; 
        }
    ); 
}
